<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.diagbot.mapper.QuestionDetailMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.diagbot.entity.QuestionDetail">
        <id column="id" property="id" />
        <result column="name" property="name" />
        <result column="label_prefix" property="labelPrefix" />
        <result column="label_suffix" property="labelSuffix" />
        <result column="question_id" property="questionId" />
        <result column="order_no" property="orderNo" />
        <result column="default_select" property="defaultSelect" />
        <result column="abnormal" property="abnormal" />
        <result column="remark" property="remark" />
    </resultMap>

</mapper>
